Home Zoeken Domeinnamen en SSL E-mail Hosting & VPS Website Office 365 Cloud & Backup Over ons Support Inloggen

Veelgestelde vragen over PHP 7

Sinds kort wordt PHP 7 ondersteund op alle shared hostingpakketten van Yourhosting. Op deze pagina lees je alle veelgestelde vragen over PHP 7 en helpen we je op weg met het instellen van PHP 7 op je hostingpakket. Staat jouw vraag er niet tussen? Neem dan gerust contact op met onze klantenservice.

Top 5 meest gestelde vragen

Wanneer wordt PHP 5.6 uitgezet?

In het najaar van 2018 zetten wij alle shared hostingpakketten om naar PHP 7.

De ondersteuning van PHP 5.6 stopt per 31 december 2018. Op 31 december 2018 verwijderen wij PHP 5.6 van onze servers en is deze versie niet meer te gebruiken.

Hoe pas ik mijn PHP-versie aan?

Je past de PHP-versie eenvoudig aan in de Hostingmanager. De PHP-wijziging geldt voor alle domeinnamen en websites binnen je hostingpakket. Volg onderstaande stappen of onze korte handleiding.

  • Log in op Mijn Account met je klantnummer en wachtwoord;
  • Klik in het linker menu op Hostingmanager en open de Hostingmanager van je hostingpakket;
  • Klik onder 'Website beheer' op 'Instellingen';
  • Klik op 'PHP versie';
  • Selecteer een andere PHP-versie en klik op 'Opslaan'.

Na het opslaan van de nieuwe PHP-versie kan het een paar seconden duren voordat de nieuwe PHP-versie actief is.

Uitzonderingen
Het selecteren van een nieuwe PHP-versie is alleen mogelijk op de shared hostingpakketten van Yourhosting. Gebruik je MijnWebsite, dan wordt de PHP-versie automatisch voor je bijgehouden.

Gebruik je een Managed VPS, dan is het nog niet mogelijk om de PHP-versie te veranderen. Wil je toch gebruik maken van een nieuwere PHP-versie op een Managed VPS, neem dan contact op met onze klantenservice.

Wat moet ik doen voordat ik mijn PHP-versie wijzig?

Voordat je de PHP-versie van je hostingpakket wijzigt, is het heel belangrijk om te weten wat er met de nieuwe PHP-versie verandert. Gebruik je een CMS-pakket zoals WordPress of Joomla!, dan is het vaak genoeg om deze helemaal up-to-date te houden. Is je CMS-pakket en alle bijbehorende plugins en thema's up-to-date, dan kun je veilig overstappen naar een nieuwe PHP-versie.

Heb jij of je webdesigner zelf een PHP-website gebouwd, dan is het belangrijk om goed te controleren of alle code door de nieuwe PHP-versie wordt ondersteund. Controleer de website en loop de wijzigingen na. Wanneer je zeker bent dat je website de nieuwe PHP-versie ondersteunt, kun je de PHP-versie veilig aanpassen. Werkt je website na de wijziging toch niet meer, noteer dan de foutmeldingen en schakel weer terug naar de andere PHP-versie. Los de fouten op, of neem contact op met je webdesigner.

Waarom adviseren jullie mij om zelf mijn PHP-versie te wijzigen?

Het is verstandiger om zelf de PHP-versie bij te werken dan te wachten tot een geforceerde overzet door ons. Bij iedere wijziging in PHP-versies worden namelijk bepaalde functies verwijderd, aangepast en toegevoegd. Dit kan betekenen dat het veranderen van de PHP-versie ervoor kan zorgen dat je website niet goed meer werkt. Passen wij de PHP-versie voor je aan, dan kan het zijn dat je website opeens niet meer goed werkt. Door zelf tijdig de PHP-versie te wijzigen kun je eventuele foutmeldingen oplossen zodat je zeker weet dat je website blijft werken. Hulp nodig met het oplossen van foutmeldingen? Onze Webmasterservice helpt je graag.

Wat is PHP?

PHP is een programmeertaal om softwarepakketten voor op het web (zoals WordPress en Joomla!) mee te maken. Hierdoor kun je een zogenaamde dynamische website maken. Met dynamisch wordt bedoeld dat met PHP websites vaak interactiever worden gemaakt. Gebruik je op je website een gastenboek, contactformulier of een loginpagina, dan gebruik je waarschijnlijk PHP. Heb je een CMS-pakket als WordPress of Joomla! geïnstalleerd, dan gebruikt je website ook PHP.

Algemeen

Wanneer wordt PHP 5.6 uitgezet?

In het najaar van 2018 zetten wij alle shared hostingpakketten om naar PHP 7.

De ondersteuning van PHP 5.6 stopt per 31 december 2018. Op 31 december 2018 verwijderen wij PHP 5.6 van onze servers en is deze versie niet meer te gebruiken.

Waarom wordt PHP 5.6 uitgezet?

De veiligheidsondersteuning op PHP 5.6 wordt stopgezet. Dit betekent dat er geen updates meer voor uitgebracht worden en dat we niet meer kunnen garanderen dat PHP 5.6 veilig is of goed werkt. We vinden het belangrijk dat onze servers en de software daarop veilig is en kiezen er daarom voor om PHP 5.6 uit te schakelen wanneer er geen beveiligingsupdates meer uitgebracht worden.

Wat is PHP en wat heeft dit te maken met mijn website?

PHP is een programmeertaal om softwarepakketten voor op het web (zoals WordPress en Joomla!) mee te maken. Hierdoor kun je een zogenaamde dynamische website maken. Met dynamisch wordt bedoeld dat met PHP websites vaak interactiever worden gemaakt. Gebruik je op je website een gastenboek, contactformulier of een loginpagina, dan gebruik je waarschijnlijk PHP. Heb je een CMS-pakket als WordPress of Joomla! geinstalleerd, dan gebruikt je website ook PHP.

Waarom adviseren jullie mij om zelf mijn PHP-versie te wijzigen?

Het is verstandiger om zelf de PHP-versie bij te werken dan te wachten tot een geforceerde overzet door ons. Bij iedere wijziging in PHP-versie worden namelijk bepaalde functies verwijderd, aangepast en toegevoegd. Dit kan betekenen dat het veranderen van de PHP-versie ervoor kan zorgen dat je website niet goed meer werkt. Passen wij de PHP-versie voor je aan, dan kun je dus voor de vervelende verrassing komen te staan dat je website opeens niet meer goed werkt. Door zelf tijdig de PHP-versie te wijzigen kun je eventuele foutmeldingen oplossen zodat je zeker weet dat je website blijft werken. Hulp nodig met het oplossen van foutmeldingen? Onze Webmasterservice helpt je graag.

Wat moet ik doen voordat ik mijn PHP-versie wijzig?

Voordat je de PHP-versie van je hostingpakket wijzigt, is het belangrijk om te weten wat er met de nieuwe PHP-versie verandert. Gebruik je een CMS-pakket zoals WordPress of Joomla!, dan is het vaak voldoende om deze helemaal up-to-date te houden. Is je CMS-pakket en alle bijbehorende plugins en thema's up-to-date, dan kun je veilig overstappen naar een nieuwe PHP-versie.

Heb jij of je webdesigner zelf een PHP-website gebouwd, dan is het belangrijk om goed te controleren of alle code door de nieuwe PHP-versie wordt ondersteund. Controleer de website en loop de wijzigingen na. Wanneer je zeker bent dat je website de nieuwe PHP-versie ondersteunt, kun je de PHP-versie veilig aanpassen. Werkt je website na de wijziging toch niet meer, noteer dan de foutmeldingen en schakel weer terug naar de andere PHP-versie. Los de fouten op, of neem contact op met je webdesigner.

Kan ik mijn website al eerder omzetten naar PHP 7 dan eind 2018?

Ja dat kan. Je kunt je website nu direct omzetten naar PHP 7 en dit raden wij ook aan. Volg deze korte handleiding voor het eenvoudig overstappen naar PHP 7.

Werkt je website niet goed met PHP 7, noteer dan de foutmeldingen en schakel weer terug naar PHP 5.6 . Je website is voor je bezoekers dan weer te gebruiken. Hierna kun je werken aan het oplossen van de foutmeldingen en je website PHP 7-klaar maken.

Hoe pas ik mijn PHP-versie aan?

Je past de PHP-versie eenvoudig aan in de Hostingmanager. De PHP-wijziging geldt voor alle domeinnamen en websites binnen je hostingpakket. Volg onderstaande stappen of onze handleiding.

  • Log in op Mijn Account met je klantnummer en wachtwoord;
  • Klik in het linker menu op Hostingmanager en open de Hostingmanager van je hostingpakket;
  • Klik onder 'Website beheer' op 'Instellingen';
  • Klik op 'PHP versie';
  • Selecteer een andere PHP-versie en klik op 'Opslaan'.

Na het opslaan van de nieuwe PHP-versie kan het een paar seconden duren voordat de nieuwe PHP-versie actief is.

Uitzonderingen
Het selecteren van een nieuwe PHP-versie is alleen mogelijk op de shared hostingpakketten van Yourhosting. Gebruik je MijnWebsite, dan wordt de PHP-versie automatisch voor je bijgehouden.

Gebruik je een Managed VPS, dan is het nog niet mogelijk om de PHP-versie te veranderen. Wil je toch gebruik maken van een nieuwere PHP-versie op een Managed VPS, neem dan contact op met onze klantenservice.

Hoe lang wordt mijn PHP-versie nog ondersteund?

Alle PHP-versies worden voor een bepaalde tijd door PHP ondersteund. Het stoppen van de ondersteuning op een PHP-versie gaat altijd in twee fasen:

  • Active support
  • Security support

Wordt een PHP-versie nog actief ondersteund, dan betekent dit dat alle onderdelen van de PHP-versie nog bijgewerkt worden. Er wordt gewerkt aan bugfixes, verbeteringen en beveiligingsupdates. Is er alleen nog sprake van security support, dan betekent dit dat de PHP-versie alleen nog ondersteuning krijgt voor beveiligingsupdates.

Op PHP.net lees je hoe lang de verschillende PHP-versies ondersteund worden.

Ik heb meerdere websites, kan ik per website de PHP-versie kiezen?

De PHP-versie kun je per hostingpakket aanpassen. Staan al je websites op één hostingpakket, dan pas je voor al je websites de PHP-versie aan. Staan je websites op verschillende hostingpakketten, dan kun je per pakket je PHP-versie aanpassen.

Ik heb een Managed VPS, kan ik zelf mijn PHP-versie aanpassen?

Heb je een Managed VPS, dan is het niet mogelijk om de PHP-versie zelf te beheren. De PHP-versie van je Managed VPS wordt door ons omgezet naar een nieuwe PHP-versie. Wil je eerder gebruik maken van een nieuwe PHP-versie, neem dan contact op met onze klantenservice.

Ik heb nog een Starthosting-hostingpakket, moet ik de PHP-versie daar ook aanpassen?

Heb je een Starthosting-hostingpakket, dan is het niet mogelijk om de PHP-versie aan te passen. De PHP-versie voor de Starthosting-servers wordt in het najaar door ons aangepast. Wil je eerder gebruik maken van een nieuwe PHP-versie, dan kun je het oude Starthosting-pakket om laten zetten naar een Yourhosting-pakket. Lees hier meer over het omzetten van je Starthosting-pakket naar een Yourhosting-pakket.

Mijn website werkt na het aanpassen van de PHP-versie niet meer

Mijn website werkt niet meer na aanpassen van de PHP-versie

Heb je de PHP-versie van je website verhoogd naar PHP 7 en werkt je website niet meer, dan gebruikt je website codes die in de nieuwe PHP-versie niet meer bestaan of ondersteund worden. Het is belangrijk om te onderzoeken welke code dit is.

In je webruimte, buiten de map ‘public_html’, staat een map ‘logs’. In deze map staat het error_log-bestand. In dit bestand worden de foutmeldingen van je website opgeslagen en bijgehouden. Gebruik het error_log-bestand om de foutmeldingen te bekijken en op te kunnen lossen.

Heb je hulp nodig bij het oplossen van de foutmeldingen, neem dan contact op met de klantenservice.

Wil je toch eerst tijdelijk terug naar een oudere PHP-versie, dan kun je de PHP-versie vanuit de Hostingmanager weer terugzetten.

Na het veranderen van de PHP-versie krijg ik een witte pagina te zien, wat nu?

Heb je de PHP-versie aangepast en laat je website nu alleen nog een witte pagina zien, dan gebruikt je website code die door de nieuwe PHP-versie niet meer ondersteund wordt. Je website kan geen inhoud meer weergeven, doordat PHP de code niet meer kan uitvoeren. De fouten in de code van je website moeten opgelost worden voordat je overstapt op een nieuwe PHP-versie.

Ben je bekend met het error_log, dan vind je de foutmeldingen van je website binnen het error_log. Heb je geen ervaring met het error_log en werkt je website niet, neem dan contact op met je webdesigner of met onze klantenservice.

Wil je toch eerst tijdelijk terug naar een oudere PHP-versie, dan kun je de PHP-versie vanuit de Hostingmanager weer terugzetten.

Na het veranderen van de PHP-versie werkt mijn website niet goed meer

Heb je de PHP-versie aangepast en werkt je website niet goed meer, dan gebruikt je website code die door de nieuwe PHP-versie niet meer ondersteund wordt. Bepaalde onderdelen van je website, of misschien wel je hele website, werken niet meer doordat PHP de code niet meer kan uitvoeren. De fouten in de code van je website moeten opgelost worden voordat je overstapt op een nieuwe PHP-versie.

Ben je bekend met het error_log, dan vind je de foutmeldingen van je website binnen het error_log. Heb je geen ervaring met het error_log en werkt je website niet, neem dan contact op met je webbouwer of met onze klantenservice.

Wil je toch eerst tijdelijk terug naar een oudere PHP-versie, dan kun je de PHP-versie vanuit de Hostingmanager weer terugzetten.

Ik zie een foutmelding over ‘function mysql_query()’

Stap je van PHP 5.6 over naar PHP 7 en krijg je een foutmelding over de functie ‘mysql_query()’, dan gebruikt je website een functie die in PHP 7 niet meer bestaat. Het grootste verschil tussen PHP 5.6 en 7 is de ondersteuning op de functie mysql_query(). Gebruikt je website function mysql_query(), dan moeten alle verwijzingen naar de MySQL-functie aangepast worden naar MySQLi, of PDO_MySQL.

Ik zie een foutmelding met ‘deprecated’

Krijg je een ‘deprecated’-foutmelding op je website of in je error_log te zien, dan gebruikt je website code die in de volgende PHP-versie niet meer wordt ondersteund. Code die niet volledig meer ondersteund wordt en in de volgende update zelfs helemaal verwijdert wordt. Vaak kan de code nog gebruikt worden, maar het is verstandig om op je website te updaten, of je code aan te passen naar vervangende functies.

CMS-pakketten en PHP

Waar vind ik updates voor mijn thema, plugin of software?

Gebruik je een CMS-pakket als WordPress of Joomla!, dan kun je updates vanuit het administrator-paneel installeren.

Volg de korte handleiding voor het updaten van WordPress
Volg de korte handleiding voor het updaten van Joomla!

Wat moet ik doen voordat ik mijn PHP-versie wijzig?

Gebruik je een CMS-pakket zoals WordPress of Joomla!, update dit pakket en alle plugins en thema's binnen dit pakket dan tot de laatste versie. Heb je de laatste versie geïnstalleerd en zijn al je plugins en thema's bijgewerkt, dan kun je veilig overstappen op de nieuwste PHP-versie. Lees hier hoe je de PHP-versie van je pakket aanpast.

Werkt je website na het aanpassen van de PHP-versie niet (goed), dan gebruikt de website een plugin of een thema die niet meer ondersteund wordt. Zet je PHP-versie dan terug en neem contact op met je webdesigner of onze klantenservice.

Chat met onze klantenservice

Heb je nog geen antwoorden op je vraag? Start dan een live chat met een van onze medewerkers. Onze deskundige klantenservice staat graag voor je klaar.

PHP7 switch

Prijzen excl. btw tenzij expliciet anders aangegeven © 2018

Prijzen incl. btw tenzij expliciet anders aangegeven © 2018